#!/usr/bin/bash

EXPORT_DIR=./tmp
TMP_ZIP_FILE=${EXPORT_DIR}/tmp.zip
rm -fr ${EXPORT_DIR}
mkdir ${EXPORT_DIR}

# export
aws apigateway get-sdk \
            --rest-api-id ${REST_API_ID} \
            --stage-name api  \
            --sdk-type ruby \
            --parameters service.name=alis-sdk-ruby,ruby.gem-name=alis-sdk-ruby,ruby.gem-version=${API_VERSION} \
            ${TMP_ZIP_FILE}

unzip -d ${EXPORT_DIR} ${TMP_ZIP_FILE}
rm -fr ${TMP_ZIP_FILE}

# rewrite endpoint URL
sed -i '' 's/client.config.endpoint =.*/client.config.endpoint = \"https:\/\/alis.to\"/' \
  ${EXPORT_DIR}/generated_src/alis-sdk-ruby/lib/alis-sdk-ruby/plugins/apig_endpoint.rb

# remove un use values
sed -i '' '/endpointPrefix/d' \
  ${EXPORT_DIR}/generated_src/alis-sdk-ruby/lib/alis-sdk-ruby/client_api.rb
sed -i '' '/serviceFullName/d' \
  ${EXPORT_DIR}/generated_src/alis-sdk-ruby/lib/alis-sdk-ruby/client_api.rb

# overwrite .gemspec
cp -pf ./alis-sdk-ruby.gemspec ${EXPORT_DIR}/generated_src/alis-sdk-ruby/alis-sdk-ruby.gemspec

# gem build
#cd ${EXPORT_DIR}/generated_src/alis-sdk-ruby/
cp -prf ${EXPORT_DIR}/generated_src/alis-sdk-ruby/* .
gem build alis-sdk-ruby.gemspec