module AlisSdkRuby
  module Types

    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] body
    #   @return [String]
    #
    # @!attribute [rw] created_at
    #   @return [Integer]
    #
    # @!attribute [rw] eye_catch_url
    #   @return [String]
    #
    # @!attribute [rw] overview
    #   @return [String]
    #
    # @!attribute [rw] title
    #   @return [String]
    #
    # @!attribute [rw] user_id
    #   @return [String]
    #
    class ArticleContent < Struct.new(
      :article_id,
      :body,
      :created_at,
      :eye_catch_url,
      :overview,
      :title,
      :user_id)
      include Aws::Structure
    end

    # @note When making an API call, you may pass ArticleImage
    #   data as a hash:
    #
    #       {
    #         article_image: "__string",
    #       }
    #
    # @!attribute [rw] article_image
    #   @return [String]
    #
    class ArticleImage < Struct.new(
      :article_image)
      include Aws::Structure
    end

    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] created_at
    #   @return [Integer]
    #
    # @!attribute [rw] eye_catch_url
    #   @return [String]
    #
    # @!attribute [rw] overview
    #   @return [String]
    #
    # @!attribute [rw] title
    #   @return [String]
    #
    # @!attribute [rw] user_id
    #   @return [String]
    #
    class ArticleInfo < Struct.new(
      :article_id,
      :created_at,
      :eye_catch_url,
      :overview,
      :title,
      :user_id)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetArticlesArticle_idAlistokenRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class GetArticlesArticle_idAlistokenRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    # @!attribute [rw] model69304a
    #   @return [Types::MODEL69304a]
    #
    class GetArticlesArticle_idAlistokenResponse < Struct.new(
      :model69304a)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetArticlesArticle_idLikesRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class GetArticlesArticle_idLikesRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    # @!attribute [rw] mode_ld_25993
    #   @return [Types::MODELd25993]
    #
    class GetArticlesArticle_idLikesResponse < Struct.new(
      :mode_ld_25993)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetArticlesArticle_idRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class GetArticlesArticle_idRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    # @!attribute [rw] article_content
    #   @return [Types::ArticleContent]
    #
    class GetArticlesArticle_idResponse < Struct.new(
      :article_content)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetArticlesPopularRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string",
    #         limit: "__string",
    #         score: "__string",
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] limit
    #   @return [String]
    #
    # @!attribute [rw] score
    #   @return [String]
    #
    class GetArticlesPopularRequest < Struct.new(
      :article_id,
      :limit,
      :score)
      include Aws::Structure
    end

    # @!attribute [rw] array_of_article_info
    #   @return [Array<Types::ArticleInfo>]
    #
    class GetArticlesPopularResponse < Struct.new(
      :array_of_article_info)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetArticlesRecentRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string",
    #         limit: "__string",
    #         sort_key: "__string",
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] limit
    #   @return [String]
    #
    # @!attribute [rw] sort_key
    #   @return [String]
    #
    class GetArticlesRecentRequest < Struct.new(
      :article_id,
      :limit,
      :sort_key)
      include Aws::Structure
    end

    # @!attribute [rw] array_of_article_info
    #   @return [Array<Types::ArticleInfo>]
    #
    class GetArticlesRecentResponse < Struct.new(
      :array_of_article_info)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetMeArticlesArticle_idDraftsRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class GetMeArticlesArticle_idDraftsRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    # @!attribute [rw] article_content
    #   @return [Types::ArticleContent]
    #
    class GetMeArticlesArticle_idDraftsResponse < Struct.new(
      :article_content)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetMeArticlesArticle_idLikeRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class GetMeArticlesArticle_idLikeRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    # @!attribute [rw] model84cbde
    #   @return [Types::MODEL84cbde]
    #
    class GetMeArticlesArticle_idLikeResponse < Struct.new(
      :model84cbde)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetMeArticlesArticle_idPublicEditRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class GetMeArticlesArticle_idPublicEditRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    # @!attribute [rw] article_content
    #   @return [Types::ArticleContent]
    #
    class GetMeArticlesArticle_idPublicEditResponse < Struct.new(
      :article_content)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetMeArticlesArticle_idPublicRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class GetMeArticlesArticle_idPublicRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    # @!attribute [rw] article_content
    #   @return [Types::ArticleContent]
    #
    class GetMeArticlesArticle_idPublicResponse < Struct.new(
      :article_content)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetMeArticlesDraftsRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string",
    #         limit: "__string",
    #         sort_key: "__string",
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] limit
    #   @return [String]
    #
    # @!attribute [rw] sort_key
    #   @return [String]
    #
    class GetMeArticlesDraftsRequest < Struct.new(
      :article_id,
      :limit,
      :sort_key)
      include Aws::Structure
    end

    # @!attribute [rw] array_of_article_info
    #   @return [Array<Types::ArticleInfo>]
    #
    class GetMeArticlesDraftsResponse < Struct.new(
      :array_of_article_info)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetMeArticlesPublicRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string",
    #         limit: "__string",
    #         sort_key: "__string",
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] limit
    #   @return [String]
    #
    # @!attribute [rw] sort_key
    #   @return [String]
    #
    class GetMeArticlesPublicRequest < Struct.new(
      :article_id,
      :limit,
      :sort_key)
      include Aws::Structure
    end

    # @!attribute [rw] array_of_article_info
    #   @return [Array<Types::ArticleInfo>]
    #
    class GetMeArticlesPublicResponse < Struct.new(
      :array_of_article_info)
      include Aws::Structure
    end

    # @api private
    #
    class GetMeInfoRequest < Aws::EmptyStructure; end

    # @!attribute [rw] user_info
    #   @return [Types::UserInfo]
    #
    class GetMeInfoResponse < Struct.new(
      :user_info)
      include Aws::Structure
    end

    # @api private
    #
    class GetMeNotificationsRequest < Aws::EmptyStructure; end

    # @!attribute [rw] array_of_notification
    #   @return [Array<Types::Notification>]
    #
    class GetMeNotificationsResponse < Struct.new(
      :array_of_notification)
      include Aws::Structure
    end

    # @api private
    #
    class GetMeUnread_notification_managersRequest < Aws::EmptyStructure; end

    # @!attribute [rw] mode_lc_40ebe
    #   @return [Types::MODELc40ebe]
    #
    class GetMeUnread_notification_managersResponse < Struct.new(
      :mode_lc_40ebe)
      include Aws::Structure
    end

    # @api private
    #
    class GetMeWalletBalanceRequest < Aws::EmptyStructure; end

    # @!attribute [rw] me_wallet_balance
    #   @return [Types::MeWalletBalance]
    #
    class GetMeWalletBalanceResponse < Struct.new(
      :me_wallet_balance)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetUsersUser_idArticlesPublicRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string",
    #         limit: "__string",
    #         sort_key: "__string",
    #         user_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] limit
    #   @return [String]
    #
    # @!attribute [rw] sort_key
    #   @return [String]
    #
    # @!attribute [rw] user_id
    #   @return [String]
    #
    class GetUsersUser_idArticlesPublicRequest < Struct.new(
      :article_id,
      :limit,
      :sort_key,
      :user_id)
      include Aws::Structure
    end

    # @!attribute [rw] array_of_article_info
    #   @return [Array<Types::ArticleInfo>]
    #
    class GetUsersUser_idArticlesPublicResponse < Struct.new(
      :array_of_article_info)
      include Aws::Structure
    end

    # @note When making an API call, you may pass GetUsersUser_idInfoRequest
    #   data as a hash:
    #
    #       {
    #         user_id: "__string", # required
    #       }
    #
    # @!attribute [rw] user_id
    #   @return [String]
    #
    class GetUsersUser_idInfoRequest < Struct.new(
      :user_id)
      include Aws::Structure
    end

    # @!attribute [rw] user_info
    #   @return [Types::UserInfo]
    #
    class GetUsersUser_idInfoResponse < Struct.new(
      :user_info)
      include Aws::Structure
    end

    # @!attribute [rw] alistoken
    #   @return [Float]
    #
    class MODEL69304a < Struct.new(
      :alistoken)
      include Aws::Structure
    end

    # @!attribute [rw] liked
    #   @return [Boolean]
    #
    class MODEL84cbde < Struct.new(
      :liked)
      include Aws::Structure
    end

    # @!attribute [rw] image_url
    #   @return [String]
    #
    class MODELa08eaf < Struct.new(
      :image_url)
      include Aws::Structure
    end

    # @!attribute [rw] unread
    #   @return [Boolean]
    #
    class MODELc40ebe < Struct.new(
      :unread)
      include Aws::Structure
    end

    # @!attribute [rw] article_id
    #   @return [String]
    #
    class MODELcde73d < Struct.new(
      :article_id)
      include Aws::Structure
    end

    # @!attribute [rw] image_url
    #   @return [String]
    #
    class MODELd06bfe < Struct.new(
      :image_url)
      include Aws::Structure
    end

    # @!attribute [rw] count
    #   @return [Float]
    #
    class MODELd25993 < Struct.new(
      :count)
      include Aws::Structure
    end

    # @note When making an API call, you may pass MeArticlesDraftsCreate
    #   data as a hash:
    #
    #       {
    #         body: "__string",
    #         eye_catch_url: "__string",
    #         overview: "__string",
    #         title: "__string",
    #       }
    #
    # @!attribute [rw] body
    #   @return [String]
    #
    # @!attribute [rw] eye_catch_url
    #   @return [String]
    #
    # @!attribute [rw] overview
    #   @return [String]
    #
    # @!attribute [rw] title
    #   @return [String]
    #
    class MeArticlesDraftsCreate < Struct.new(
      :body,
      :eye_catch_url,
      :overview,
      :title)
      include Aws::Structure
    end

    # @note When making an API call, you may pass MeInfoIcon
    #   data as a hash:
    #
    #       {
    #         icon_image: "__string",
    #       }
    #
    # @!attribute [rw] icon_image
    #   @return [String]
    #
    class MeInfoIcon < Struct.new(
      :icon_image)
      include Aws::Structure
    end

    # @note When making an API call, you may pass MeInfoUpdate
    #   data as a hash:
    #
    #       {
    #         self_introduction: "__string",
    #         user_display_name: "__string",
    #       }
    #
    # @!attribute [rw] self_introduction
    #   @return [String]
    #
    # @!attribute [rw] user_display_name
    #   @return [String]
    #
    class MeInfoUpdate < Struct.new(
      :self_introduction,
      :user_display_name)
      include Aws::Structure
    end

    # @!attribute [rw] private_eth_address
    #   @return [String]
    #
    class MeWalletBalance < Struct.new(
      :private_eth_address)
      include Aws::Structure
    end

    # @!attribute [rw] acted_user_id
    #   @return [String]
    #
    # @!attribute [rw] created_at
    #   @return [Integer]
    #
    # @!attribute [rw] sort_key
    #   @return [Integer]
    #
    # @!attribute [rw] type
    #   @return [String]
    #
    # @!attribute [rw] user_id
    #   @return [String]
    #
    class Notification < Struct.new(
      :acted_user_id,
      :created_at,
      :sort_key,
      :type,
      :user_id)
      include Aws::Structure
    end

    # @note When making an API call, you may pass PostMeArticlesArticle_idFraudRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class PostMeArticlesArticle_idFraudRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    class PostMeArticlesArticle_idFraudResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass PostMeArticlesArticle_idImagesRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #         article_image: { # required
    #           article_image: "__string",
    #         },
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] article_image
    #   @return [Types::ArticleImage]
    #
    class PostMeArticlesArticle_idImagesRequest < Struct.new(
      :article_id,
      :article_image)
      include Aws::Structure
    end

    # @!attribute [rw] mode_ld_06bfe
    #   @return [Types::MODELd06bfe]
    #
    class PostMeArticlesArticle_idImagesResponse < Struct.new(
      :mode_ld_06bfe)
      include Aws::Structure
    end

    # @note When making an API call, you may pass PostMeArticlesArticle_idLikeRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class PostMeArticlesArticle_idLikeRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    class PostMeArticlesArticle_idLikeResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass PostMeArticlesArticle_idPvRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class PostMeArticlesArticle_idPvRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    class PostMeArticlesArticle_idPvResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass PostMeArticlesDraftsRequest
    #   data as a hash:
    #
    #       {
    #         me_articles_drafts_create: { # required
    #           body: "__string",
    #           eye_catch_url: "__string",
    #           overview: "__string",
    #           title: "__string",
    #         },
    #       }
    #
    # @!attribute [rw] me_articles_drafts_create
    #   @return [Types::MeArticlesDraftsCreate]
    #
    class PostMeArticlesDraftsRequest < Struct.new(
      :me_articles_drafts_create)
      include Aws::Structure
    end

    # @!attribute [rw] mode_lcde_73d
    #   @return [Types::MODELcde73d]
    #
    class PostMeArticlesDraftsResponse < Struct.new(
      :mode_lcde_73d)
      include Aws::Structure
    end

    # @note When making an API call, you may pass PostMeInfoIconRequest
    #   data as a hash:
    #
    #       {
    #         me_info_icon: { # required
    #           icon_image: "__string",
    #         },
    #       }
    #
    # @!attribute [rw] me_info_icon
    #   @return [Types::MeInfoIcon]
    #
    class PostMeInfoIconRequest < Struct.new(
      :me_info_icon)
      include Aws::Structure
    end

    # @!attribute [rw] mode_la_08eaf
    #   @return [Types::MODELa08eaf]
    #
    class PostMeInfoIconResponse < Struct.new(
      :mode_la_08eaf)
      include Aws::Structure
    end

    # @note When making an API call, you may pass PutMeArticlesArticle_idDraftsPublishRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class PutMeArticlesArticle_idDraftsPublishRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    class PutMeArticlesArticle_idDraftsPublishResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass PutMeArticlesArticle_idDraftsRequest
    #   data as a hash:
    #
    #       {
    #         me_articles_drafts_create: { # required
    #           body: "__string",
    #           eye_catch_url: "__string",
    #           overview: "__string",
    #           title: "__string",
    #         },
    #       }
    #
    # @!attribute [rw] me_articles_drafts_create
    #   @return [Types::MeArticlesDraftsCreate]
    #
    class PutMeArticlesArticle_idDraftsRequest < Struct.new(
      :me_articles_drafts_create)
      include Aws::Structure
    end

    class PutMeArticlesArticle_idDraftsResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass PutMeArticlesArticle_idPublicRepublishRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class PutMeArticlesArticle_idPublicRepublishRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    class PutMeArticlesArticle_idPublicRepublishResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass PutMeArticlesArticle_idPublicRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #         update_article: { # required
    #           body: "__string",
    #           eye_catch_url: "__string",
    #           overview: "__string",
    #           title: "__string",
    #         },
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    # @!attribute [rw] update_article
    #   @return [Types::UpdateArticle]
    #
    class PutMeArticlesArticle_idPublicRequest < Struct.new(
      :article_id,
      :update_article)
      include Aws::Structure
    end

    class PutMeArticlesArticle_idPublicResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass PutMeArticlesArticle_idPublicUnpublishRequest
    #   data as a hash:
    #
    #       {
    #         article_id: "__string", # required
    #       }
    #
    # @!attribute [rw] article_id
    #   @return [String]
    #
    class PutMeArticlesArticle_idPublicUnpublishRequest < Struct.new(
      :article_id)
      include Aws::Structure
    end

    class PutMeArticlesArticle_idPublicUnpublishResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass PutMeInfoRequest
    #   data as a hash:
    #
    #       {
    #         me_info_update: { # required
    #           self_introduction: "__string",
    #           user_display_name: "__string",
    #         },
    #       }
    #
    # @!attribute [rw] me_info_update
    #   @return [Types::MeInfoUpdate]
    #
    class PutMeInfoRequest < Struct.new(
      :me_info_update)
      include Aws::Structure
    end

    class PutMeInfoResponse < Aws::EmptyStructure; end

    # @api private
    #
    class PutMeUnread_notification_managersRequest < Aws::EmptyStructure; end

    class PutMeUnread_notification_managersResponse < Aws::EmptyStructure; end

    # @note When making an API call, you may pass UpdateArticle
    #   data as a hash:
    #
    #       {
    #         body: "__string",
    #         eye_catch_url: "__string",
    #         overview: "__string",
    #         title: "__string",
    #       }
    #
    # @!attribute [rw] body
    #   @return [String]
    #
    # @!attribute [rw] eye_catch_url
    #   @return [String]
    #
    # @!attribute [rw] overview
    #   @return [String]
    #
    # @!attribute [rw] title
    #   @return [String]
    #
    class UpdateArticle < Struct.new(
      :body,
      :eye_catch_url,
      :overview,
      :title)
      include Aws::Structure
    end

    # @!attribute [rw] icon_image_url
    #   @return [String]
    #
    # @!attribute [rw] self_introduction
    #   @return [String]
    #
    # @!attribute [rw] user_display_name
    #   @return [String]
    #
    # @!attribute [rw] user_id
    #   @return [String]
    #
    class UserInfo < Struct.new(
      :icon_image_url,
      :self_introduction,
      :user_display_name,
      :user_id)
      include Aws::Structure
    end

  end
end
